/*****************************************************************************/

/*
 *      rmns2ktvset.h -- REALmagic NetStream 2000 TV setting function
 *
 *      Copyright (C) 2000 Sigma Designs
 *                    written by Pascal Cannenterre <pascal_cannenterre@sdesigns.com>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __RMNS2kTVSET_H__
#define __RMNS2kTVSET_H__

#ifndef SUCCEEDED
#define SUCCEEDED(a)            (((a) == 0 ) ? 1 : 0 )
#endif
#ifndef FAILED
#define FAILED(a)            (((a) != 0 ) ? 1 : 0 )
#endif

#ifndef min
#define min(a,b)            (((a) < (b)) ? (a) : (b))
#endif
#ifndef max
#define max(a,b)            (((a) > (b)) ? (a) : (b))
#endif

#ifndef LOBYTE
#define LOBYTE(w)   ((BYTE) (w))
#endif
#ifndef HIBYTE
#define HIBYTE(w)   ((BYTE)(((WORD)(w) >> 8) & 0xFF))
#endif


DWORD get_TvStandard(DWORD *pVal);
DWORD put_TvStandard(DWORD newVal);
DWORD get_TvOutputMode(DWORD *pVal);
DWORD put_TvOutputMode(DWORD newVal);
DWORD get_TvScart(DWORD *pVal);
DWORD put_TvScart(DWORD newVal);

DWORD get_TvVerticalPosition(long *pVal);
DWORD put_TvVerticalPosition(long newVal);
DWORD get_TvHorizontalPosition(long *pVal);
DWORD put_TvHorizontalPosition(long newVal);
DWORD get_TvHeight(long *pVal);
DWORD put_TvHeight(long newVal);
DWORD get_TvWidth(long *pVal);
DWORD put_TvWidth(long newVal);

DWORD get_TvBrightness(short *pVal);
DWORD put_TvBrightness(short newVal);
DWORD get_TvContrast(short *pVal);
DWORD put_TvContrast(short newVal);
DWORD get_TvSaturation(short *pVal);
DWORD put_TvSaturation(short newVal);
DWORD get_TvSharpness(short *pVal);
DWORD put_TvSharpness(short newVal);
DWORD get_TvFlicker(short *pVal);
DWORD put_TvFlicker(short newVal);

DWORD TvReset();
DWORD ReadEEprom(BYTE bAddress, BYTE *pRetValue);
DWORD WriteEEprom(BYTE bAddress, BYTE bValue);
DWORD ApplyToStartup();


#endif /* ns2ktvgui_cb */
